<?php
/**
 * Basho engine.
 */

/**
 * Assign the Basho version to a variable.
 */
$basho_theme   = wp_get_theme( 'basho' );
$basho_version = $basho_theme[ 'Version' ];

/**
 * Setup theme object.
 */
$basho = (object) array(
	'version' => $basho_version,

	/**
	 * Initialize all the things.
	 */
	'main' => require 'inc/class-basho.php',
	'customizer' => require 'inc/customizer/class-basho-customizer.php',
);

/**
 * Load theme walker classes.
 */
require 'inc/walkers/class-basho-walker-navbar-navigation.php';
require 'inc/walkers/class-basho-walker-offcanvas-navigation.php';
require 'inc/walkers/class-basho-walker-comment.php';

/**
 * Load theme hooks and functions.
 */
require 'inc/basho-functions.php';
require 'inc/basho-template-functions.php';
require 'inc/basho-template-hooks.php';
require 'inc/basho-template-tags.php';
