<?php
/**
 * Header template file.
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js<?php echo ( get_theme_mod( 'basho_sticky_header', false ) ) ? esc_attr( ' sticky-header' ) : '';?>">

<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="profile" href="//gmpg.org/xfn/11">

    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

    <?php basho_body_open(); ?>

    <div id="site-wrapper" class="uk-offcanvas-content">

        <?php
        /**
         * Theme action basho_before_header
         */
        do_action( 'basho_before_header' ); ?>

        <header id="site-header" role="banner"<?php echo basho_get_sticky_header_attribute(); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- static output ?>>
            <div class="uk-container<?php echo esc_attr( basho_get_container_width_class( 'header' ) );  ?>">
                <nav id="main-navigation" class="uk-navbar-container uk-navbar-transparent" role="navigation" aria-label="<?php esc_attr_e( 'Main Navigation', 'basho' ); ?>" data-uk-navbar>
                    <div class="uk-navbar-left">
                        <?php
            			/**
            			 * Functions hooked into basho_header_left action
            			 *
                         * @hooked basho_offcanvas_navigation_toggle  - 5
            			 * @hooked basho_header_logotype              - 5
                         * @hooked basho_header_navbar                - 10
            			 */
                        do_action( 'basho_header_left' ); ?>
                    </div>
                    <div class="uk-width-expand">
                        <?php
            			/**
            			 * Functions hooked into basho_header_center action
            			 *
                         * @hooked basho_header_search_form            - 0
            			 */
                        do_action( 'basho_header_center' ); ?>
                    </div>
                    <div class="uk-navbar-right">
                        <?php
            			/**
            			 * Functions hooked into basho_header_right action
            			 *
            			 * @hooked basho_header_search_modal_toggle                 - 0
                         * @hooked basho_offcanvas_navigation_toggle_no_woocommerce - 5
            			 */
                        do_action( 'basho_header_right' ); ?>
                    </div>
                </nav>
            </div>
        </header> <!-- #site-header -->

        <?php
    	/**
    	 * Theme action basho_after_header
    	 */
    	do_action( 'basho_after_header' );
    	?>
